<?php
session_start();
require("../../database/dbConection.php");

$UsuarioLogado = $_SESSION['idUsuarioLogado'];

$htmlTabela = "";

$options = array(

  "http"=>array(
      "header"=>"User-Agent: Mozilla/5.0 (iPad; U; CPU OS 3_2 like Mac OS X; en-us) AppleWebKit/531.21.10 (KHTML, like Gecko) Version/4.0.4 Mobile/7B334b Safari/531.21.102011-10-16 20:23:10\r\n" // i.e. An iPad
  )

);

  $context = stream_context_create($options);
  $incluirRegistro = "N";
  $numeroCNPJ = str_replace("-","",$_POST['numeroCNPJ']);
  $numeroCNPJ = str_replace(".","",$numeroCNPJ);
  $numeroCNPJ = str_replace(" ","",$numeroCNPJ);
  $numeroCNPJ = str_replace("/","",$numeroCNPJ);
  $jsonArquivo  = file_get_contents("https://www.receitaws.com.br/v1/cnpj/$numeroCNPJ", false, $context);
  $jsonString   = json_decode($jsonArquivo, true);
  
    
  if($jsonString['status']!="ERROR" && $jsonString['status']!="error"){
    # --- pegar IBGE CIDADE --- #
      $cidadeCNPJ = mb_strtoupper($jsonString['municipio']);
      $ufCNPJ     = mb_strtoupper($jsonString['uf']);
      $stmIBGE    = $rsConexao->prepare("SELECT codigoibge_cidade FROM tb_cidades WHERE (ucase(nome_cidade)='$cidadeCNPJ') AND (ucase(sigla_estado)='$ufCNPJ')");
      $stmIBGE    ->execute();
      $rsIBGE     = $stmIBGE->fetch(PDO::FETCH_OBJ);
      $ibgeCidadeCNPJ = $rsIBGE->codigoibge_cidade;
    # ------------------------- #
    $arrayRetornoEmpresa = array(
      'mensagemRetorno'                 => 'sucesso',
      'jsonNomeEmpresa'                 => $jsonString['nome'],
      'jsonFantasiaEmpresa'             => $jsonString['fantasia'],
      'jsonCepEmpresa'                  => $jsonString['cep'],
      'jsonEnderecoEmpresa'             => $jsonString['logradouro'],
      'jsonNumeroEnderecoEmpresa'       => $jsonString['numero'],
      'jsonBairroEmpresa'               => $jsonString['bairro'],
      'jsonComplementoEnderecoEmpresa'  => $jsonString['complemento'],
      'jsonTelefoneEmpresa'             => $jsonString['telefone'],
      'ibgeCidadeCNPJ'                  => $ibgeCidadeCNPJ
    );
  }else{
    $arrayRetornoEmpresa = array(
      'mensagemRetorno' => 'erro'
    );
  }
  echo json_encode($arrayRetornoEmpresa);
?>
